com.hazelcast.core

## Class HazelcastException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.hazelcast.core.HazelcastException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    AuthenticationException, ClientNotAllowedInClusterException, ConfigurationException, ConsistencyLostException, CPSubsystemException, DistributedObjectDestroyedException, DuplicateInstanceNameException, DuplicateTaskException, HazelcastOverloadException, HazelcastSerializationException, IndeterminateOperationStateException, InvalidConfigurationException, JetException, LocalMemberResetException, LockAcquireLimitReachedException, MutationDisallowedException, NoDataMemberInClusterException, OperationTimeoutException, QueryException, QueryResultSizeExceededException, RemoteMapReduceException, ReplicatedMapCantBeCreatedOnLiteMemberException, ResponseAlreadySentException, RetryableHazelcastException, RuntimeInterruptedException, ServiceNotFoundException, StaleTaskException, StaleTaskIdException, TargetDisconnectedException, TopicOverloadException, TopologyChangedException, TransactionException, TransactionNotActiveException, UndefinedErrorCodeException, ValidationException, WANReplicationQueueFullException

      public class HazelcastException
      extends RuntimeException

  Base Hazelcast exception.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HazelcastException()`
    `HazelcastException(String message)`
    `HazelcastException(String message, Throwable cause)`
    `HazelcastException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HazelcastException

          public HazelcastException()

    - #### HazelcastException

          public HazelcastException(String message)

    - #### HazelcastException

          public HazelcastException(String message,
                                    Throwable cause)

    - #### HazelcastException

          public HazelcastException(Throwable cause)

Copyright © 2019. All rights reserved.